Bug 30597 - Update wording of RestrictionBlockRenewing to include auto-renew
Summary: Update wording of RestrictionBlockRenewing to include auto-renew
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Testopia
URL:
Keywords:
Depends on: 28747
Blocks:
  Show dependency treegraph
 
Reported: 2022-04-22 15:58 UTC by Andrew Fuerste-Henry
Modified: 2022-07-05 21:55 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact: Martin Renvoize
Documentation submission: https://gitlab.com/koha-community/koha-manual/-/merge_requests/567
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.06


Attachments
Bug 30597: Update RestrictionBlockRenewal description to include auto renew (1.53 KB, patch)
2022-04-22 16:16 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 30597: Update RestrictionBlockRenewing description to include auto renew (1.58 KB, patch)
2022-04-26 13:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30597: Update RestrictionBlockRenewing description to include auto renew (1.64 KB, patch)
2022-04-26 14:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2022-04-22 15:58:48 UTC
In bug 28747 we changed the wording on this syspref to:
If a patron is restricted, (allow/block) renewing of items from the staff interface.

In retrospect, we should mentioned auto-renewals:

If a patron is restricted, (allow/block) renewing of items from the staff interface and via the automatic_renewals cronjob.
Comment 1 Andrew Fuerste-Henry 2022-04-22 16:16:12 UTC
Created attachment 133692 [details] [review]
Bug 30597: Update RestrictionBlockRenewal description to include auto renew

To test:
- apply the patch, find the syspref, see the new wording

To confirm the behavior:
- set the syspref to Block
- give a patron an auto-renewing checkout and a restriction
- run automatic_renewal.pl, see item does not renew
- switch syspref to allow, repeat, see renewal
Comment 2 Owen Leonard 2022-04-26 13:48:31 UTC
Created attachment 133900 [details] [review]
Bug 30597: Update RestrictionBlockRenewing description to include auto renew

To test:
- apply the patch, find the syspref, see the new wording

To confirm the behavior:
- set the syspref to Block
- give a patron an auto-renewing checkout and a restriction
- run automatic_renewal.pl, see item does not renew
- switch syspref to allow, repeat, see renewal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2022-04-26 14:02:31 UTC
Created attachment 133902 [details] [review]
Bug 30597: Update RestrictionBlockRenewing description to include auto renew

To test:
- apply the patch, find the syspref, see the new wording

To confirm the behavior:
- set the syspref to Block
- give a patron an auto-renewing checkout and a restriction
- run automatic_renewal.pl, see item does not renew
- switch syspref to allow, repeat, see renewal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Fridolin Somers 2022-05-02 21:25:40 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 5 Kyle M Hall 2022-05-13 15:48:09 UTC
Pushed to 21.11.x for 21.11.06
Comment 6 Victor Grousset/tuxayo 2022-06-23 01:45:06 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.